alter table COMPONENTE_TROCA ADD SEMDEVOLUCAO NUMBER(1,0);
create index IDX_COMPONENTE_TROCA1 on COMPONENTE_TROCA(rmanutencao);
alter table CONTROLERMA ADD RMANUTENCAO INT DEFAULT 7 NOT NULL;
alter table CONTROLERMA ADD ITEMNUMORD CHAR(5);
create index IDX_CONTROLERMA1 on CONTROLERMA(rmanutencao);
CREATE TABLE HISTORICOATENDIMENTO (
OID INT NOT NULL,
RATENDIMENTO INT NOT NULL,
HISTORICO VARCHAR2(254) NOT NULL,
RUSUARIO INT DEFAULT 7 NOT NULL,
DATA DATE NOT NULL);
ALTER TABLE HISTORICOATENDIMENTO ADD CONSTRAINT PK_HISTORICOATENDIMENTO PRIMARY KEY (OID);
CREATE INDEX IDX_HISTORICOATENDIMENTO1 ON HISTORICOATENDIMENTO(RATENDIMENTO);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Emitir nota nas operaes com RMA. S ou N.','Emitir nota nas operaes com RMA',18,31538,0);
insert into categoria (rsuper, nomeinterno, oid) values (11767,'EMITIR_NF_OPERACOES_RMA',31538);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,31538,10128,0.0,0.0,'',' ',0.0,0.0,'PA105257',31537);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31537,'',31539);
commit;
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','TPO usado na operao de ressarcimento de clientes no RMA','TPO para outras sadas de bonificao de RMA',18,31565,0);
insert into categoria (rsuper, nomeinterno, oid) values (11767,'TPO_OUTRAS_SAIDAS_BONIFICACAO_RMA',31565);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15825,18021,31565,10124,0.0,0.0,'',' ',0.0,0.0,'PA105257',31564);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31564,'',31566);
commit;
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Texto padro usado na operao de ressarcimento de clientes no RMA atravs de crdito.','Texto padro para nota de ressarcimento em crdito',18,31599,0);
insert into categoria (rsuper, nomeinterno, oid) values (11767,'TEXTO_PADRAO_RESSARCIMENTO_CREDITO',31599);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15825,7,31599,10128,0.0,0.0,'',' ',0.0,0.0,'PA 105257',31598);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31598,'',31600);
commit;
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Acompanhamento RMA',18,31541,0);
insert into categoria (rsuper, nomeinterno, oid) values (26723,'TIPOACOMPANHAMENTO_RMA',31541);
commit;


-- Tabela "Atendimento", criao da coluna "Protocolo"
ALTER TABLE ATENDIMENTO ADD PROTOCOLO VARCHAR2(254);

create or replace view ATENDIMENTO_R (
    DEFEITOAPARENTE,
    PREVISAO,
    CONTATO,
    TELEFONE,
    CONTROLEEMISSAO,
    SERVICOEXECUTADO,
    DIAGNOSTICO,
    PROTOCOLO,
    RFILIAL,
    RSTATUS,
    RTECNICO,
    RTIPOSERVICO,
    CRIADOEM,
    CID,
    ATUALIZADOEM,
    CODIGO,
    OBSERVACAO,
    NOME,
    OID,
    RESCOPO,
    CRIADOPOR,
    ATUALIZADOPOR)
as select
    ATENDIMENTO.DEFEITOAPARENTE,
    ATENDIMENTO.PREVISAO,
    ATENDIMENTO.CONTATO,
    ATENDIMENTO.TELEFONE,
    ATENDIMENTO.CONTROLEEMISSAO,
    ATENDIMENTO.SERVICOEXECUTADO,
    ATENDIMENTO.DIAGNOSTICO,
    ATENDIMENTO.PROTOCOLO,
    ATENDIMENTO.RFILIAL,
    ATENDIMENTO.RSTATUS,
    ATENDIMENTO.RTECNICO,
    ATENDIMENTO.RTIPOSERVICO,
    ITEM.CRIADOEM,
    ITEM.CID,
    ITEM.ATUALIZADOEM,
    ITEM.CODIGO,
    ITEM.OBSERVACAO,
    ITEM.NOME,
    ITEM.OID,
    ITEM.RESCOPO,
    ITEM.CRIADOPOR,
    ITEM.ATUALIZADOPOR
from
    ATENDIMENTO,ITEM
where (ITEM.EXCLUIDO = 0) AND
    ATENDIMENTO.OID = ITEM.OID;


create or replace view ATENDIMENTO_V (
    RFILIAL,
    RSTATUS,
    RTECNICO,
    RTIPOSERVICO,
    DEFEITOAPARENTE,
    PREVISAO,
    CONTATO,
    TELEFONE,
    CONTROLEEMISSAO,
    SERVICOEXECUTADO,
    DIAGNOSTICO,
    PROTOCOLO,
    RESCOPO,
    CRIADOEM,
    CID,
    ATUALIZADOEM,
    CODIGO,
    OBSERVACAO,
    NOME,
    OID,
    NFILIAL,
    NSTATUS,
    NTECNICO,
    NTIPOSERVICO,
    NESCOPO
) as select
    ATENDIMENTO.RFILIAL,
    ATENDIMENTO.RSTATUS,
    ATENDIMENTO.RTECNICO,
    ATENDIMENTO.RTIPOSERVICO,
    ATENDIMENTO.DEFEITOAPARENTE,
    ATENDIMENTO.PREVISAO,
    ATENDIMENTO.CONTATO,
    ATENDIMENTO.TELEFONE,
    ATENDIMENTO.CONTROLEEMISSAO,
    ATENDIMENTO.SERVICOEXECUTADO,
    ATENDIMENTO.DIAGNOSTICO,
    ATENDIMENTO.PROTOCOLO,
    ITEM.RESCOPO,
    ITEM.CRIADOEM,
    ITEM.CID,
    ITEM.ATUALIZADOEM,
    ITEM.CODIGO,
    ITEM.OBSERVACAO,
    ITEM.NOME,
    ITEM.OID,
    T1.NOME,
    T2.NOME,
    T3.NOME,
    T4.NOME,
    T5.NOME
from
    ATENDIMENTO,ITEM,ITEM T1,ITEM T2,ITEM T3,ITEM T4,ITEM T5
where (ITEM.EXCLUIDO = 0) AND
    ATENDIMENTO.OID = ITEM.OID AND
    ATENDIMENTO.RFILIAL = T1.OID AND
    ATENDIMENTO.RSTATUS = T2.OID AND
    ATENDIMENTO.RTECNICO = T3.OID AND
    ATENDIMENTO.RTIPOSERVICO = T4.OID AND
    ITEM.RESCOPO = T5.OID;

commit;
