insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Indica que a empresa trabalha com o conceito de entrega expressa, priorizando ao longo do processo as vendas com entrega urgente. S ou N.','Venda com entrega expressa',18,31179,0);
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'VENDA_ENTREGA_EXPRESSA',31179);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31179,10128,0.0,0.0,'',' ',0.0,0.0,'PA94708',31178);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31178,'',31180);

insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Indica que a empresa trabalha com recebimento dos doc. de pagamento na entrega das mercadorias, gerando contas a receber previstas at que os documentos sejam entregues pelo cliente. S ou N.','Venda com recebimento na entrega',18,31182,0);
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'VENDA_RECEBER_ENTREGA',31182);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31182,10128,0.0,0.0,'',' ',0.0,0.0,'PA94708',31181);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31181,'',31183);

insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Tipo de Transporte',18,31190,0);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Regio',18,31187,0);
insert into categoria (rsuper, nomeinterno, oid) values (2    ,'TIPO_DE_TRANSPORTE',31190);
insert into categoria (rsuper, nomeinterno, oid) values (2    ,'REGIAO',31187);
insert into classificacao (ritem,rcategoria,oid) values(31190,1120,31192);
insert into classificacao (ritem,rcategoria,oid) values(31190,1229,31191);
insert into classificacao (ritem,rcategoria,oid) values(31187,1120,31189);
insert into classificacao (ritem,rcategoria,oid) values(31187,1229,31188);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,7    ,7,7,1013,29478,0.0,0.0,'','',1.0,0.0,'Regio de Entrega',31193);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,7    ,7,7,1014,31190,0.0,0.0,'','',1.0,0.0,'Capacidade mxima',31195);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,7    ,7,7,1014,31190,0.0,0.0,'','',1.0,0.0,'Capacidade mnima',31194);

alter table PEDICLICOMPLEMENTO ADD ENTREGAEXPRESSA NUMBER(1,0);

alter table FRETEREGIAO ADD TIPOTRANSPORTE INT DEFAULT 7 NOT NULL;

alter table TABTRANFAT ADD TIPOTRANSPORTE INT DEFAULT 7;

alter table SENHVENCAD ADD LIBFRETEINFERIOR CHAR(1);

ALTER TABLE FRETEREGIAO ADD CONSTRAINT PK_FRETEREGIAO PRIMARY KEY (CODIGOREGIAO,TIPOTRANSPORTE);

insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc)
values ('SIS','5.06','Frete por Regio de Entrega','S','','',0,0,0,0,'','');

insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc)
values ('SIS','5.07','Configurar Dados Adicionais','S','','',0,0,0,0,'','');

insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc)
values ('SIS','3.27','Recebimento Documentos Entrega','S','','',0,0,0,0,'','');

insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc)
values ('SIS','1.36','Recebimento Documentos Entrega','S','','',0,0,0,0,'','');

create table FRETEREGIAOENTREGA(
TIPOTRANSPORTE INT NOT NULL,
REGIAO INT NOT NULL,
VALORFRETE NUMBER(18,2));ALTER TABLE FRETEREGIAOENTREGA ADD CONSTRAINT PK_FRETEREGIAOENTREGA PRIMARY KEY (TIPOTRANSPORTE,REGIAO);

alter table PEDICLICOMPLEMENTO ADD LIBFRETEINFERIOR CHAR(3);
alter table PEDICLICOMPLEMENTO ADD LIBRECEBENAENTREGA CHAR(3);
alter table PEDICLICOMPLEMENTO ADD LIBTIPOTRANSPORTE CHAR(3);

commit;

create table BAIRROREGIAOENTREGA (
BAIRRO INT DEFAULT 7 NOT NULL,
CIDADE INT DEFAULT 7 NOT NULL,
REGIAO INT DEFAULT 7 NOT NULL);
ALTER TABLE BAIRROREGIAOENTREGA ADD CONSTRAINT PK_BAIRROREGIAOENTREGA PRIMARY KEY(BAIRRO,CIDADE,REGIAO);
commit;

delete from opcsistcad where codopc like '5.%' and codsis = 'SIS';
commit;
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.01','Documentos Assiciados','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.02','Relac. Forma Pag com Tipo Doc','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.03','Reduo de Base','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.04','Subst. Tributario Antecipada','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.05','Roteiros','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.06','Transportadoras','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.07','Frete por reg. de entrega','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.08','Config. Dado Adicional','S',0,0,0,0);
insert into opcsistcad (codsis,codopc,nomeopc,ativado,numeroativ,mediauso,numdemeses,usoultmes) values('SIS','5.09','Ralac. Bairro com Regiao Ent.','S',0,0,0,0);
commit;