alter table ITEMFILEST ADD CUSTOFINANCEIRO NUMERIC(15,6)
GO
alter table ITEMFILEST ADD DATACUSTOFINANCEIRO DATETIME
GO
alter table ITNFENTCOMPLEMENTO ADD CUSTOFINANCEIRO NUMERIC(15,6)
GO
alter table ITNFSAICOMPLEMENTO ADD CUSTOVENDA NUMERIC(15,6)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Moeda utilizada para o clculo do custo financeiro.','Moeda para atualizao de custo financeiro',18,31644,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'MOEDA_CUSTO_FINANCEIRO',31644)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7176,31644,10128,0.0,0.0,'',' ',0.0,0.0,'PA105278',31643)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31643,'',31645)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Determina que no registro da nota de compra de mercad., o custo gerencial financ. ser calculado p/ os itens da nota. Neces. definir par.  moeda para atualizao. S ou N.','Calcular custo financeiro na entrada da nota',18,31647,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'CALCULAR_CUSTO_FINANCEIRO',31647)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,31647,10128,0.0,0.0,'',' ',0.0,0.0,'PA105278',31646)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31646,'',31648)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Data em que ocorreu a ltima atualizao automtica do custo financeiro dos produtos do estoque da filial (inflao dos custos). ','Data da ltima atualizao automtica do custo financeiro',18,31653,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (11767,'DATA_ULTIMA_ATUALIZACAO_CUSTO_FINANCEIRO',31653)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,31653,10132,0.0,0.0,'',' ',0.0,0.0,'PA105278',31652)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31652,'',31654)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Se S, determina que o sist. dever considerar data atual - 1 dia como referncia em  rotinas que podem ser processadas em batch. S ou N.','Considerar dia anterior como referncia para processamentos em batch',18,31886,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'DIA_ANTERIOR_PARA_PROCESSAMENTO_EM_BATCH',31886)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,31886,10128,0.0,0.0,'',' ',0.0,0.0,'PA105278',31885)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31885,'',31887)
GO
