insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Define que %  mx. desconto ser dado p/ relac. rea de vendas x forma de pagamento. Funciona  junto com  par. Restringe rea de vendas por usurio. S ou N.','Utiliza desconto mximo por rea de vendas e forma de pagamento',18,31616,0)
go
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'DESCONTO_MAXIMO_AREA_VENDA_FORMA_PAGAMENTO',31616)
go
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31616,10128,0.0,0.0,'',' ',0.0,0.0,'PA111603',31615)
go
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31615,'',31617)
go


-- Tabela "Agrupamento", criao da coluna "Valor"
alter table dbo.AGRUPAMENTO add VALOR DECIMAL(18,2)
go

IF EXISTS (SELECT name FROM sysobjects WHERE name = 'AGRUPAMENTO_R' AND type = 'V')
   drop view AGRUPAMENTO_R
go
create view dbo.AGRUPAMENTO_R (
    VALOR,
    RPAPEL,
    RGRUPO,
    RITEM,
    OID)
as select
    AGRUPAMENTO.VALOR,
    AGRUPAMENTO.RPAPEL,
    AGRUPAMENTO.RGRUPO,
    AGRUPAMENTO.RITEM,
    AGRUPAMENTO.OID
from
    AGRUPAMENTO
go

IF EXISTS (SELECT name FROM sysobjects WHERE name = 'AGRUPAMENTO_V' AND type = 'V')
   drop view AGRUPAMENTO_V
go
create view dbo.AGRUPAMENTO_V (
    RPAPEL,
    RGRUPO,
    RITEM,
    VALOR,
    OID,
    NPAPEL,
    NGRUPO,
    NITEM
) as select
    AGRUPAMENTO.RPAPEL,
    AGRUPAMENTO.RGRUPO,
    AGRUPAMENTO.RITEM,
    AGRUPAMENTO.VALOR,
    AGRUPAMENTO.OID,
    T1.NOME,
    T2.NOME,
    T3.NOME
from
    AGRUPAMENTO,ITEM T1,ITEM T2,ITEM T3
where
    AGRUPAMENTO.RPAPEL = T1.OID AND
    AGRUPAMENTO.RGRUPO = T2.OID AND
    AGRUPAMENTO.RITEM = T3.OID
go
