--------------------------------------------------------------------------------------------------------
-- Parmetros
--------------------------------------------------------------------------------------------------------
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01','Habilita ou no o recurso de venda de tintas pigmentadas na hora (mquina de tintas). S ou N.','Utiliza sistema tintomtrico',18,31936,0)
go
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'UTILIZA_SISTEMA_TINTOMETRICO',31936)
go
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31936,10128,0.0,0.0,'','',0.0,0.0,'PA94712',31935)
go
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31935,'',31937)
go
---------------------------------------------------------------------------------------------------------------------
-- Controle de acesso aos menus
--------------------------------------------------------------------------------------------------------
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','1.42','Reemisso ordem pigmentao','S','','',0,0,0,0,'','')
go 
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','3.31','Confirmar Pigmentao Tinta','S','','',0,0,0,0,'','')
go 
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','3.32','Estornar Pigmentao Tinta','S','','',0,0,0,0,'','') 
go 
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','5.10','Sistema Tintomtrico','S','','',0,0,0,0,'','') 
go 
--------------------------------------------------------------------------------------------------------
-- Categorias e Sub-Categorias
--------------------------------------------------------------------------------------------------------
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Suvinil',18,31983,0)
go 
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Sherwin Williams',18,31782,0)
go 
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Lukscolor',18,31781,0)
go 
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Coral',18,31780,0)
go 
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico',18,31779,0)
go 
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_SUVINIL',31983)
go 
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_SHERWIN_WILLIAMNS',31782)
go 
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_LUKSCOLOR',31781)
go 
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_CORAL',31780)
go 
insert into categoria (rsuper, nomeinterno, oid) values (2    ,'SISTEMA_TINTOMETRICO',31779)
go 
---------------------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------
-- Tabelas novas
--------------------------------------------------------------------------------------------------------
-- ProdutoFormula
CREATE TABLE PRODUTOFORMULA (
CODPRO CHAR(5) NOT NULL,
CODCOR INT NOT NULL,
CODPROCOMPONENTE CHAR(5) NOT NULL,
QUANTIDADE NUMBER(18,3) )
go 
ALTER TABLE PRODUTOFORMULA ADD CONSTRAINT PK_PRODUTOFORMULA PRIMARY KEY (CODPRO,CODCOR,CODPROCOMPONENTE);
go 
-- EmbalagemFormula
CREATE TABLE EMBALAGEMFORMULA (
CODEMBALAGEM INT NOT NULL IDENTITY,
NOMEEMBALAGEM CHAR(40),
SISTEMATINTOMETRICO INT NOT NULL DEFAULT 7,
CODEMBALAGEMEXTERNO CHAR(40),
CAPACIDADE NUMBER(18,3) )
go 
ALTER TABLE EMBALAGEMFORMULA ADD CONSTRAINT PK_EMBALAGEMFORMULA PRIMARY KEY (CODEMBALAGEM);
go 
-- ComponenteFormula
CREATE TABLE COMPONENTEFORMULA (
CODCOMPONENTE INT NOT NULL IDENTITY,
NOMECOMPONENTE CHAR(40),
TIPOCOMPONENTE CHAR(1),
CODCOMPONENTEEXTERNO CHAR(40),
SISTEMATINTOMETRICO INT NOT NULL DEFAULT 7,
EXIGEFUNDOLOC NUMBER(1) )
go 
ALTER TABLE COMPONENTEFORMULA ADD CONSTRAINT PK_COMPONENTEFORMULA PRIMARY KEY (CODCOMPONENTE)
go 
---------------------------------------------------------------------------------------------------------
-- Tabelas alteradas
--------------------------------------------------------------------------------------------------------
-- ComplementoProduto
ALTER TABLE COMPLEMENTOPRODUTO ADD SISTEMATINTOMETRICO INT NOT NULL DEFAULT 7
go 
ALTER TABLE COMPLEMENTOPRODUTO ADD TIPOCOMPONENTE CHAR(1)
go 
ALTER TABLE COMPLEMENTOPRODUTO ADD CODEMBALAGEM INT
go 
ALTER TABLE COMPLEMENTOPRODUTO ADD CODCOMPONENTE INT
go 
-- ItemcliComplemento
ALTER TABLE ITEMCLICOMPLEMENTO ADD CODCOR INT
go 
ALTER TABLE ITEMCLICOMPLEMENTO ADD IDTINTA INT
go 
ALTER TABLE ITEMCLICOMPLEMENTO ADD CODPROTINTA CHAR(5)
go 
-- ItNFEntCad
ALTER TABLE ITNFENTCAD ADD CODCOR INT
go 
ALTER TABLE ITNFENTCAD ADD IDTINTA INT
go 
ALTER TABLE ITNFENTCAD ADD CODPROTINTA CHAR(5)
go 
-- SenhVenCad
ALTER TABLE SENHVENCAD ADD LIBDEVOLUCAOTINTA CHAR(1)
--------------------------------------------------------------------------------------------------------
-- Dado adicional: Fator de converso para mililitro
insert into dadoadicional (RCLASSECONCRETA, RAPLICATIVO, RDOMINIO, RLISTA, RTIPO, RITEM, RESTRICAO, VISIVEL, MASCARA, PADRAO, MAXIMO, MINIMO, VALOR, OID) values (7, 7, 7, 7, 1013, 31779, 0, 0, '', '', 99, 0, 'Fator de converso para mililitro', 32253)
